using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("交班人")]
    public class T_FO_LEADER_WELL_RECORD_PREUSER : MesEntityBase
    {
        [Description("主表ID")]
        [DataFieldForeignKey("Nav_Record", "Nav_PreUsers")]
        public Guid LEADER_WELL_RECORD_ID { get; set; }

        [Description("导航属性：主表")]
        public virtual T_FO_LEADER_WELL_RECORD Nav_Record { get; set; }
        [Description("交班人")]
        [DataFieldForeignKey("Nav_PreUser")]
        [FormFieldEdit]
        public Guid? PRE_USER_ID { get; set; }


        [Description("导航属性：交班人")]
        public T_FM_USER Nav_PreUser { get; set; }

        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public FOUserShiftStatusEnum? PRE_USER_DEAL_STATUS { get; set; }
    }
}
